Exiv2::BasicError< charT > Class Template Reference

Simple error class used for exceptions. An output operator is provided to print errors to a stream. More...

`#include <error.hpp>`

Inheritance diagram for Exiv2::BasicError< charT >:
[legend]

## Public Member Functions

Creators
| BasicError (ErrorCode code)
| Constructor taking only an error code.
template<typename A >
| BasicError (ErrorCode code, const A &arg1)
| Constructor taking an error code and one argument.
template<typename A , typename B >
| BasicError (ErrorCode code, const A &arg1, const B &arg2)
| Constructor taking an error code and two arguments.
template<typename A , typename B , typename C >
| BasicError (ErrorCode code, const A &arg1, const B &arg2, const C &arg3)
| Constructor taking an error code and three arguments.
virtual | ~BasicError () throw ()
| Virtual destructor. (Needed because of throw())
Accessors
virtual int | code () const throw ()
| Return the error code.
virtual const char * | what () const throw ()
| Return the error message as a C-string. The pointer returned by what() is valid only as long as the BasicError object exists.
Public Member Functions inherited from Exiv2::AnyError
| AnyError (const AnyError &o)

## Detailed Description

### template<typename charT>
class Exiv2::BasicError< charT >

Simple error class used for exceptions. An output operator is provided to print errors to a stream.

Examples
  exifprint.cpp, and exiv2json.cpp.

The documentation for this class was generated from the following file:

- error.hpp